Bug 106676 - libgal-a11y should be linked against libgal
libgal-a11y should be linked against libgal
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
: Reopened
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-10-09 10:31 EDT by Owen Taylor
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 13:27:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2003-10-09 10:31:57 EDT
Right now there are apparently unresolved symbolw in 
libgal-a11y resulting from it not being linked against libgal.

Jakub says:

/usr/lib/libgal-a11y-2.0.so.5
 	- 3 unw syms, used by 22 binaries
 	- can be fixed by linking this library against libgal-2.0.so.5

ldd -d -r on the library will show the unresolved symbols.

Should be as simple as putting libgal.la in LIBADD and DEPENDENCIES
for libgal-a11y.
Comment 1 John Thacker 2006-10-29 17:46:34 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 2 John Thacker 2007-01-12 10:03:26 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 3 Dave Malcolm 2007-01-12 13:20:20 EST
Somehow this bug was still assigned to me, without me realizing.

Reopening to investigate
Comment 4 Dave Malcolm 2007-01-12 13:27:49 EST
Oops, got confused between gal and libgal2.  Closing WONTFIX

Note You need to log in before you can comment on or make changes to this bug.